Piece of Web

Plasma 4 Widgets

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

3
7.8
Description:

Select a piece of a webpage to create your own auto updating plasmoid.

Just search for a webpage and click on the area to keep!

You can also import community made plasmoids in one click or save and publish your plasmoid online.

Also support plasmoid creation from HTML embed code.

This plasmoid require plasma-scriptengine-ruby and ruby-qt or korundum.

To install the plasmoid
1. Install the dependencies plasma-scriptengine-ruby and ruby-qt or korundum if needed
2. Right click on your desktop and select Add plasmoid.
4. Click on Install new plasmoids. Choose either download and browse for the piece of web plasmoid or from local file by using the downloadable zip of this page (plasmoid mode).
5. Add a piece of web plasmoid to your desktop.

tybaut

9 years ago

Hello,

I have the error : "impossible to create a script engine ruby-script..."

But ruby is installed on my system and I think plasma-scriptengine-ruby also :

[root@localhost tibo]# urpmf plasma-scriptengine-ruby
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-applet.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-dataengine.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-applet.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-dataengine.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-applet.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-dataengine.desktop

Anyway, thanks for this plasmoid !

Report

tybaut

9 years ago

Hello,

I have the error : "impossible to create a script engine ruby-script..."

But ruby is installed on my system and I think plasma-scriptengine-ruby also :

[root@localhost tibo]# urpmf plasma-scriptengine-ruby
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-applet.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-dataengine.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-applet.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-dataengine.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-applet.desktop
kdebase4-workspace:/usr/share/kde4/services/plasma-scriptengine-ruby-dataengine.desktop

Anyway, thanks for this plasmoid !

Report

C

cedriK

9 years ago

You may try running in a console :
plasmoidviewer ~/.kde/share/apps/plasma/plasmoids/htmlembed

And then give me the output to see if it's the script engine or the plasmoid which crash.

Report

tybaut

9 years ago

Here the result of the command :
[tibo@localhost ~]$ plasmoidviewer ~/.kde4/share/apps/plasma/plasmoids/htmlembed/
/usr/share/apps/plasma_scriptengine_ruby/applet.rb:20:in `require': no such file to load -- plasma_applet (LoadError)
/usr/share/apps/plasma_scriptengine_ruby/applet.rb:20

Report

C

cedriK

9 years ago

There might be a problem in your isntallation: the error show that you miss the plasma_applet.so file.
In ubuntu this file is located in /usr/lib/ruby/1.8/i486-linux/plasma_applet.so
in the package libkorundum4-ruby1.8.

Report

tybaut

9 years ago

ok, the ruby-qt4 package was missing.
Now the plasmoid works fine.
Thanks a lot !

Report

12345678910
5
product-maker bill1950 Aug 24 2011 8 great
product-maker Thefirstgoodman Jul 14 2011 8 great
product-maker e1nste1n Jul 10 2011 8 great
product-maker neokore Feb 03 2011 8 great
product-maker SlyderBY Jan 13 2011 8 great
product-maker Count:24 Rating: 7.75
File (click to download) Version Description Downloads Date Filesize DL OCS-Install
Pling
*Needs ocs-url or ocs-store to install things
Details
license
version
0.2
updated Dec 14 2009
added Nov 15 2009
downloads today
0
page views today 1